From 10392f7f4f469f266016542b1d3c0b7d39d59bbc Mon Sep 17 00:00:00 2001
From: Dean M Greer <gcenx83@gmail.com>
Date: Sun, 23 Jan 2022 13:58:38 -0500
Subject: [PATCH] winemac.drv: fix compile with pre macOS 10.12 SDKs

Fixes a regression introduced by https://source.winehq.org/git/wine.git/commit/e58b1a2b395b56859157e7dd8d08cca4448f66c9

Signed-off-by: Dean M Greer <gcenx83@gmail.com>
---
 dlls/winemac.drv/cocoa_app.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dlls/winemac.drv/cocoa_app.h b/dlls/winemac.drv/cocoa_app.h
index e5caad00a870..52c91c0621f1 100644
--- a/dlls/winemac.drv/cocoa_app.h
+++ b/dlls/winemac.drv/cocoa_app.h
@@ -56,6 +56,7 @@
 #define NSWindowStyleMaskResizable          NSResizableWindowMask
 #define NSWindowStyleMaskTitled             NSTitledWindowMask
 #define NSWindowStyleMaskUtilityWindow      NSUtilityWindowMask
+#define NSWindowStyleMaskNonactivatingPanel NSNonactivatingPanelMask
 #endif
 
 #define ERR(...) do { if (macdrv_err_on) LogError(__func__, __VA_ARGS__); } while (false)
-- 
2.21.1 (Apple Git-122.3)

